Register a Lighter API key on-chain
Submits the L1-signed transaction to Lighter to activate and register the API key for the account
x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/misc/lighter/change-pub-key" \ -H "Content-Type: application/json" \ -d '{ "l1Signature": "string", "txInfo": "string", "accountIndex": 0, "apiKeyIndex": 0 }'{ "txHash": "string"}Create a Lighter API key pair ready for L1 signing POST
Generates a new API key pair and returns a message for the frontend to sign with the L1 wallet before registration
Prepare an integrator approval transaction for L1 signing POST
Signs the approve-integrator transaction with backend-configured fee parameters and returns a message for the frontend to sign with the L1 wallet